//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace SYM.DataAccessLayer
{
    using System;
    using System.Collections.Generic;
    
    public partial class etl_route_temp
    {
        public int route_id { get; set; }
        public string route_name { get; set; }
        public string route_title { get; set; }
        public string route_area { get; set; }
        public Nullable<int> mountain_id { get; set; }
        public string mountain_name { get; set; }
        public Nullable<int> route_altitude { get; set; }
        public Nullable<int> route_length { get; set; }
        public Nullable<int> route_difference { get; set; }
        public Nullable<short> activity_id { get; set; }
        public string activity_name { get; set; }
        public Nullable<int> mountain_group_id { get; set; }
        public string mountain_group_name { get; set; }
        public Nullable<int> difficulty_id { get; set; }
        public string region_name { get; set; }
        public Nullable<int> region_id { get; set; }
        public string country_code { get; set; }
        public Nullable<int> country_id { get; set; }
        public Nullable<System.DateTime> route_dateins { get; set; }
        public Nullable<short> source_id { get; set; }
        public string source_name { get; set; }
        public string route_url_report { get; set; }
        public Nullable<int> valley_id { get; set; }
        public string valley_name { get; set; }
        public Nullable<bool> route_active { get; set; }
        public Nullable<int> mountain_range_id { get; set; }
        public string mountain_range_name { get; set; }
        public Nullable<int> pitch_number { get; set; }
        public string falesia_name { get; set; }
        public string author { get; set; }
        public string route_length_str { get; set; }
        public string route_rock { get; set; }
        public System.DateTime date_ins { get; set; }
        public Nullable<int> status { get; set; }
        public Nullable<int> route_id_final { get; set; }
        public string difficulty_str { get; set; }
    }
}
